# CUpti_Profiler_CounterDataImage_CalculateSize_Params Struct Reference
[CUPTI Profiler API]

Params for cuptiProfilerCounterDataImageCalculateSize.

## Data Fields

size_t | counterDataImageSize
| [out]
const CUpti_Profiler_CounterDataImageOptions * | pOptions
| [in] Pointer to CUpti_Profiler_CounterDataImageOptions
void * | pPriv
| [in] assign to NULL
size_t | sizeofCounterDataImageOptions
| [in] CUpti_Profiler_CounterDataImageOptions_STRUCT_SIZE
size_t | structSize
| [in] CUpti_Profiler_CounterDataImage_CalculateSize_Params_STRUCT_SIZE